## Beitrag

Da Flutter noch eine recht neue Technologie ist, gibt es
noch viele Bereiche die dazu genauer erforscht werden können.
Die verwandten Arbeiten und Projekte von Toyota,
Sony und KDAB zeigen, dass es bereits viel Interesse
zur Nutzung von Flutter außerhalb des klassischen
App-Entwicklungs-Bereichs gibt. Die Zuversichtlichkeit
von Toyota Flutter in den Infotainmentsystemen von Autos zu nutzen,
stellt besonders die Frage auf, wie gut Flutter tatsächlich
für eingebettete Linux Systeme geeignet ist. Diese
Arbeit beschäftigt sich deswegen damit als Fallstudie
eine Demo Anwendung für den Raspberry Pi 4 zu entwickeln und
den kompletten Entwicklungsprozess dabei durchzugehen.
Die Demo Anwendung wurde
als Kochbuch konzipiert, welches als Grundlage für
weitere Projekte mit Flutter auf eingebetteten Linux
Systemen dienen kann. In der Arbeit konnte gezeigt
werden, dass Flutter durchaus gut für eingebettete
Linux Systeme geeignet ist. Dank der modernen Entwicklungsprinzipien
von Flutter, ist es möglich, in relativ kurzer Zeit selbst komplexe
Anwendungen mit Flutter für eingebettete Linux Systeme
zu entwickeln.

Es wurden die Embedder "Flutter-Pi" und "Flutter-Auto" genauer
untersucht. Das Projekt von Sony wurde nicht betrachtet, weil
Sony für seinen Embedder eine veränderte Version der Flutter-Engine benutzt
und somit nicht mit der offiziellen Flutter-Engine kompatibel ist [@SonyFlutterembeddedlinuxEmbedded].
Es ist also deutlich weniger produktionsbereit und auch aus Gründen der
Zeitoptimierung wurden nur die anderen beiden Embedder betrachtet.

# Fallstudie
